import {auth} from '@/auth'
import {CreateForm} from '@/components/(protected)/admin/category/create-form'
import {dump} from '@/lib/utils'

export default async function Page({
	params
}: {
	params: Promise<{slug?: string[]}>
}) {
	const session = await auth()
	const {slug} = await params

	switch ((slug || [])[0]) {
		case 'create':
			return <CreateForm />
	}

	return <div>{dump(slug)}</div>
}
